Author Topic: Upgrade to new Ptokax needed or not  (Read 2087 times)

0 Members and 1 Guest are viewing this topic.

Offline Tommy666

  • Junior Member
  • **
  • Posts: 20
  • Karma: +1/-0
Upgrade to new Ptokax needed or not
« on: 29 March, 2014, 08:48:02 »
Hello,

at the moment I'm running my hub with version 4.1.2.

The hub is working on my os XP Professional 32 Bit like charme. I'm sharing hub hosting with a friend, who is running Win 7 Home 64 Bit. There the hub is working great too. There have been a few crashes of the whole os, when hosting the hub. The wholes system has freezed. Not sure if it was occured by running older version of Ptotax, as he told me that it mostly happened after windows updates.

As XP support ends now on 8th April, I will upgrade my os to Win 7 Pro 64 Bit.

Now I'm not sure, if I should upgrade my software to new Ptotax version. Thing is that I'm using old scripts like Dixbot and Freshstuff that are not working on new version.

The only thing I see a point for going to new Ptotax is the IP.V6 support. And there is my question, will there be a problem with the IP.V6 when using older version? Can it happen that people cannot connect with new IP or even that hub is not reachable?

Me and my hub users have got used to freshstuff and Dixbot. And at the moment there are no real alternative scripts around.

So what to do?
« Last Edit: 29 March, 2014, 09:34:50 by Tommy666 »

PtokaX forum

Upgrade to new Ptokax needed or not
« on: 29 March, 2014, 08:48:02 »

Offline PPK

  • Administrator
  • Emperor
  • *****
  • Posts: 1 475
  • Karma: +209/-22
  • PtokaX developer
Re: Upgrade to new Ptokax needed or not
« Reply #1 on: 29 March, 2014, 13:53:18 »
Dixbot is working on new PtokaX when is used version with lua 5.1. I'm not sure about freshstuff, but that should work too again with lua 5.1 (as PtokaX don't have any compatibility break in api).
As to IPv6, i seen some issues with users who use client without proper IPv6 support. They connect to hub with IPv6 but use only IPv4 to search and download. And here is issue with active users who don't have teredo or 6to4, because hub don't know their IPv4 and can't allow IPv4 connections in active mode.
Else there should be no issues, hub address simply contains A record (IPv4 address) and AAAA record (IPv6 address) and client use only address within his supported TCP/IP.
« Last Edit: 29 March, 2014, 13:55:39 by PPK »
"Most of you are familiar with the virtues of a programmer. There are three, of course: laziness, impatience, and hubris." - Larry Wall

Offline Tommy666

  • Junior Member
  • **
  • Posts: 20
  • Karma: +1/-0
Re: Upgrade to new Ptokax needed or not
« Reply #2 on: 29 March, 2014, 14:57:03 »
Thanks for your answer Pkk

Will try then with new Ptokax version with LUA 5.1. Will also let you know about any issues.

Offline PPK

  • Administrator
  • Emperor
  • *****
  • Posts: 1 475
  • Karma: +209/-22
  • PtokaX developer
Re: Upgrade to new Ptokax needed or not
« Reply #3 on: 29 March, 2014, 16:00:43 »
In case when you have issues to run DixBot then here is guide http://forum.ptokax.org/index.php?topic=9074.0  ;)
"Most of you are familiar with the virtues of a programmer. There are three, of course: laziness, impatience, and hubris." - Larry Wall

Offline Tommy666

  • Junior Member
  • **
  • Posts: 20
  • Karma: +1/-0
Re: Upgrade to new Ptokax needed or not
« Reply #4 on: 29 March, 2014, 16:17:32 »
You are saying in your guide, that you use 32 bit version, does it also work for 64 bit?

Offline PPK

  • Administrator
  • Emperor
  • *****
  • Posts: 1 475
  • Karma: +209/-22
  • PtokaX developer
Re: Upgrade to new Ptokax needed or not
« Reply #5 on: 29 March, 2014, 16:23:33 »
No. DixBot script is compiled to work only on 32bit.
"Most of you are familiar with the virtues of a programmer. There are three, of course: laziness, impatience, and hubris." - Larry Wall

Offline Tommy666

  • Junior Member
  • **
  • Posts: 20
  • Karma: +1/-0
Re: Upgrade to new Ptokax needed or not
« Reply #6 on: 29 March, 2014, 16:30:50 »
Ok then I will see how ptokax new version 32 bit works on win 7 pro 64 bit.

PtokaX forum

Re: Upgrade to new Ptokax needed or not
« Reply #6 on: 29 March, 2014, 16:30:50 »